Bug 1387793 - Constant alloc_contig_range: [X, Y) PFNs busy [NEEDINFO]
Summary: Constant alloc_contig_range: [X, Y) PFNs busy
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 25
Hardware: aarch64
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2016-10-21 22:30 UTC by Jeremy Linton
Modified: 2017-04-28 17:04 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-28 17:04:57 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)

Description Jeremy Linton 2016-10-21 22:30:24 UTC
Description of problem: While running F25 (4.8.1-1.fc25.aarch64) with X, after a little while the kernel starts to print a dozen or so a second:

[ 1452.431607] alloc_contig_range: [c250, c251) PFNs busy
[ 1452.437318] alloc_contig_range: [c251, c252) PFNs busy
[ 1452.442996] alloc_contig_range: [c252, c253) PFNs busy
[ 1452.448406] alloc_contig_range: [c253, c254) PFNs busy
[ 1452.453766] alloc_contig_range: [c254, c255) PFNs busy



Version-Release number of selected component (if applicable): kernel-core-4.8.1-1.fc25.aarch64


How reproducible: Most of the time once X is started and starts to display windows.


Steps to Reproduce:
1. Install F25
2. dnf group install "Fedora Workstation"
3. startx on appropriate graphics head (using HD5450)
4. mouse around and use the machine.

Expected results:
Doesn't print that message constantly

Additional info:
This doesn't seem to cause any real problems (other than a possible slowdown) at the moment.

Comment 1 Laura Abbott 2016-10-24 17:03:50 UTC
The messages come from CMA allocation attempts and are a verbose way of saying the range CMA tried was not able to be allocated. This has been brought up before upstream and I think it was decided to keep the messages because it helps with debugging. I'm guessing there is something doing DMA (backed by CMA by default on aarch64) constantly and the system is under under a particular load that makes CMA allocations fail. There is a patch series in progress to fundamentally rework CMA (https://marc.info/?l=linux-mm&m=147641419014561&w=2) so I would suggest that needs to be tested as a first step. If the problem is still happening, this would need to be investigated further as a CMA problem.

Comment 2 Robert Richter 2016-10-25 15:43:50 UTC
I faced a similar issue, where some PFNs of a zone were not assigned to the same node, leading to different zones for the PFNs and a failing zone check. See this fix:

 http://www.spinics.net/lists/arm-kernel/msg535191.html

This was introduced with NOMAP mem ranges (see patch description). That new implementation does not properly initialize nomap pages (the memmap) which causes zone checks to fail.

You can check if the c250-c251 phys mem range is marked as nomap. I used following kernel parameters for more (mm) verbosity:

 debug uefi_debug memblock=debug efi=debug loglevel=8 mminit_loglevel=4

It would be interesting if my patch also fixes this issue.

Comment 3 Jeremy Linton 2016-10-25 16:01:00 UTC
I should add this is Juno, so I can tweak the mem ranges. (or alternativly this might be a firmware problem if the memory ranges are tagged incorrectly).

Comment 4 Roderick MacKenzie 2016-12-12 00:43:06 UTC
I could be seeing the same issue.  I'm running a newly installed copy of fedora 25 on a Raspberry Pi 3. I have freshly updated all packages this evening using dnf to (4.8.12-300.fc25.armv7hl) but the system remains really very laggy with any application taking ages to start.  Often the mouse freezes when starting the terminal.  The system is fairly unusable at the moment.

dmesg gives lots output like this:
[ x ] alloc_contig_range: [y, z) PFNs busy

Comment 5 Justin M. Forbes 2017-04-11 14:33:17 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 6 Justin M. Forbes 2017-04-28 17:04:57 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the 
relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.